View Issue Details

IDProjectCategoryView StatusLast Update
0017174MediaMonkey 5Extensions frameworkpublic2021-08-05 19:10
Reporterdrakinite Assigned To 
PriorityurgentSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.0 
Target Version5.0.2Fixed in Version5.0.2 
Summary0017174: Issues with SDBApplication.Player getters and methods [COM]
DescriptionI tested all the gets/sets in SDBApplication.Player, and here are the problematic ones:
1) Crash when attempting to change Player.CurrentSongIndex. Log ID: 65812BBD
  If I do Player.CurrentSongIndex = 3, for example, it crashes MM.
2) Crash when attempting to execute Player.Next: Log ID 18A4B7F7 and BA461236
3) Crash when atempting to change Player.PlaybackTime: Log ID 20EDDBF3
4) Crash when attempting to get Player.PlaylistSelected(0)
5) Crash when attempting to execute Player.Previous: Log ID CC82B715

6) Setting isAutoDJ does not work
7) isEqualizer does not work (Always returns false even when enabled; setting does not enable equalizer)
8) PlaylistClear works, but it does not stop current song (Not sure if that's expected behavior or not)
9) PlaylistCount does not work (always returns 0)
10) PlaylistFocused does not appear to work (always returns -1)
11) PlaylistItems does not appear to work (When attempting "Set sd = Player.PlaylistItems(0)" then "Text = sd.Title", it gives an error that seems to imply that sd is undefined.
12) PlaylistMoveTrack does not work
13) I'm not sure if PlaylistAddTrack, PlaylistAddTracks, PlaylistInsertTrack and PlaylistInsertTracks work, but it could just be an issue of me not being that good with datatypes in VBScript.

14) PlaylistByID and PlaylistByTitle both appear to return null.

NOTE: 6 through 13 are lower priority, but worth looking into.
TagsNo tags attached.
Fixed in build2500

Relationships

related to 0017823 closeddrakinite (Regression) Creating SongsDB5.SDBApplication object when MM5 is not running does not open MM5 [COM] 
related to 0017788 closedpetr [COM] Access violation when using auto shuffle playlist script 

Activities

drakinite

2021-04-28 01:15

developer   ~0062936

Updated description to use numbers instead of letters. Added #13 after investigating 0017788

petr

2021-04-28 18:26

developer   ~0062949

1) fixed

petr

2021-07-31 10:14

developer   ~0064341

Last edited: 2021-08-04 10:39

View 2 revisions

Items 2-13) fixed

petr

2021-08-05 19:10

developer   ~0064356

Fixed